XIL-CLEANUP(1)

NAME
xil-cleanup

SYNOPSIS
xil-cleanup [-h] [--episode TAG] [--tag TAG] [--show SHOW] [--parsed PATH] [--stems DIR] [--dry-run]

DESCRIPTION
Remove stale stems that no longer match the current parsed script. Use --dry-run first to review what would be deleted.

OPTIONS

--episode TAG
    Episode tag (e.g. S02E03); derives --parsed and --stems

--tag TAG
    Raw tag for non-episodic content (e.g. V01C03, D01); same as --episode

--show SHOW
    Show name override (default: from project.json)

--parsed PATH
    Parsed script JSON (overrides --episode)

--stems DIR
    Stems directory (overrides --episode)

--dry-run
    List stale stems without deleting them

SEE ALSO
xil(1), xil-scan(1), xil-parse(1), xil-cues(1), xil-produce(1), xil-assemble(1), xil-studio-onboard(1), xil-daw(1), xil-migrate(1), xil-cleanup(1), xil-import(1), xil-regen(1), xil-master(1), xil-voices(1), xil-csv-join(1), xil-sfx(1), xil-sample(1), xil-sfx-lib(1), xil-splice(1), xil-mp3-hash(1), xil-migrate-workspace(1), xil-init(1)

AUTHOR
John Brissette <xilcmd@gmail.com>